Bug 484427 - Linuxdcpp crashes within one-two minute after starting
Linuxdcpp crashes within one-two minute after starting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linuxdcpp (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460955
  Show dependency treegraph
 
Reported: 2009-02-06 13:27 EST by Saurabh Barjatiya
Modified: 2009-12-18 02:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
3 Bug report saved (Tar gzipped) (38.30 KB, application/x-bzip)
2009-02-06 13:27 EST, Saurabh Barjatiya
no flags Details
Screenshot of hasing progress (15.36 KB, image/png)
2009-02-08 08:33 EST, Saurabh Barjatiya
no flags Details

  None (edit)
Description Saurabh Barjatiya 2009-02-06 13:27:13 EST
Created attachment 331155 [details]
3 Bug report saved (Tar gzipped)

Description of problem:
linuxdcpp is crashing within one minute of starting it. 

Version-Release number of selected component (if applicable):
1.0.2

How reproducible:
Very

Steps to Reproduce:
1. Nothing to be done.
3. It crashes within a minute or two no matter what I do.
  
Actual results:
It is crashing

Expected results:
It should not crash

Additional info:
It could be due to faulty indexing in background.
Comment 1 Michael Schwendt 2009-02-06 13:46:02 EST
Can you run "debuginfo-install linuxdcpp" as root, reproduce it in "gdb" and get a full backtrace?  ( http://fedoraproject.org/wiki/StackTraces )
Comment 2 Marcin Garski 2009-02-08 07:43:17 EST
You could check a new version 1.0.3 which fixes a lot of crashes.
It's now in testing repository, to try it type:
su -c 'yum --enablerepo=updates-testing update linuxdcpp'
Comment 3 Saurabh Barjatiya 2009-02-08 08:26:57 EST
There is large possibility that it was crashing while hashing. I have some movies in a one folder. It was crashing while hashing that folder. After I removed the folder from sharing it is not crashing any more.

Will let you know if the updated version crashes while hashing the same movies folder or nor. 

Thanks for the help.
Comment 4 Saurabh Barjatiya 2009-02-08 08:33:50 EST
Created attachment 331237 [details]
Screenshot of hasing progress

Even version 1.0.3 is crashing while trying to hash the file. I have identified the file on hashing which it is crashing. I have also attached the screenshot of hash progress for the file on which it crashes when exactly 234.14 MB of data is left to be hashed.
Comment 5 Saurabh Barjatiya 2009-02-08 09:00:48 EST
The file is of size 883052544. But when I write command 

dd if=<file_path> of=part7.bin bs=100000000 skip=6 count=1

I get output

0+1 records in
0+1 records out
47581696 bytes (48 MB) copied, 48.8953 s, 973 kB/s

So it is problem with harddisk or filesystem. If you check for return value of read() to take care of harddisk or filesystem errors I think it will stop crashing.
Comment 6 Bug Zapper 2009-11-18 04:48:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:49:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.